> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions



## OpenAPI

````yaml api-reference/openapi-account.json GET /account/{id}/transaction
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{id}/transaction:
    get:
      tags:
        - Account
      summary: List Transactions
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
        - description: >-
            The ID of the ACH object that originated this transaction, if any.
            Otherwise `null`. Filterable.
          in: query
          name: ach_id
          schema:
            type: string
        - description: >-
            The ID of the Book Transfer object that originated this transaction,
            if any. Otherwise `null`. Filterable.
          in: query
          name: book_id
          schema:
            type: string
        - description: >-
            The ID of the Card Object that originated this transaction, if any.
            Otherwise `null`. Filterable.
          in: query
          name: card_id
          schema:
            type: string
        - description: >-
            The ID of the Check Deposit object that originated this transaction,
            if any. Otherwise `null`. Filterable.
          in: query
          name: check_id
          schema:
            type: string
        - description: >-
            The ID of the Fednow object that originated this transaction, if
            any. Otherwise `null`. Filterable.
          in: query
          name: fednow_id
          schema:
            type: string
        - description: >-
            The ID of the Prime Cash object that the transaction is related to.
            Otherwise `null`. Filterable.
          in: query
          name: greendot_deposit_id
          schema:
            type: string
        - description: >-
            The ID of the Issued Check Object that originated this transaction,
            if any. Otherwise `null`. Filterable.
          in: query
          name: issued_check_id
          schema:
            type: string
        - description: >-
            The ID of the Network Transfer that originated this transaction, if
            any. Otherwise `null`. Filterable.
          in: query
          name: network_transfer_id
          schema:
            type: string
        - description: '`true` to filter the transactions that have posted. Filterable.'
          in: query
          name: posted
          schema:
            enum:
              - 'true'
              - 'false'
            type: string
        - description: >-
            A common id used to tie multiple, related transactions together.
            Currently used to connect `hold` and `hold_release` transactions to
            a `debit` and to link transactions to their related card events.
            Filterable.
          in: query
          name: trace_id
          schema:
            type: string
        - description: >-
            Type of transaction. One of `charge`, `deposit`, `hold`,
            `hold_release`, `interest`, `payment`, `reversal`, `withdrawal`, or
            `null`. Filterable.
          in: query
          name: type
          schema:
            type: string
        - description: >-
            The type of payment that initiated this transaction, if any. One of
            `ach`, `bank`, `book`, `card`, `check`, `fednow`, `greendot`, or
            `wire`. Otherwise `null`. Limited availability. Filterable.
          in: query
          name: type_source
          schema:
            type: string
        - description: >-
            The ID of the Wire object that originated this transaction, if any.
            Otherwise `null`. Filterable.
          in: query
          name: wire_id
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - ach_id: ach_1234567
                        amount: '1975.00'
                        balance: '256147.27'
                        billpay_payment_id: null
                        book_id: null
                        card_id: null
                        category: null
                        check_id: null
                        check_number: null
                        date: '2017-11-27'
                        desc: 'EXT-XFER Sq. Nbr.: 123456'
                        extended_timestamp: '2017-11-27T01:02:03Z'
                        extended_timestamp_precise: '2017-11-27T01:02:03.300Z'
                        fednow_id: null
                        fingerprint: 2k7vxetham4i1v3ceb5vs6
                        id: ttx_113333abcd
                        incoming_ach_id: null
                        incoming_wire: null
                        incoming_wire_id: null
                        issued_check_id: null
                        network_transfer_id: null
                        related_transfer_ids: []
                        summary: ACME CORP VENDOR PMT
                        trace_id: null
                        type: deposit
                        type_source: null
                        userdata: null
                        wire: null
                        wire_id: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        ach_id:
                          description: >-
                            The ID of the ACH object that originated this
                            transaction, if any. Otherwise `null`. Filterable.
                          type: string
                        amount:
                          description: >-
                            Transaction amount. Positive values indicate a
                            credit while negative values indicate a debit. Note
                            that transactions with type hold have an amount, but
                            they do not change the balance.
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        balance:
                          description: >-
                            Account balance immediately after this transaction.
                            Transactions of type hold do not affect the balance.
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        billpay_payment_id:
                          description: >-
                            The ID of the BillPay object that originated this
                            transaction, if any. Otherwise `null`
                          type: string
                        book_id:
                          description: >-
                            The ID of the Book Transfer object that originated
                            this transaction, if any. Otherwise `null`.
                            Filterable.
                          type: string
                        card_id:
                          description: >-
                            The ID of the Card Object that originated this
                            transaction, if any. Otherwise `null`. Filterable.
                          type: string
                        category:
                          description: >-
                            One of: `interest`, `fees`, or `null`. Update this
                            field to indicate if the transaction is an interest
                            or fee payment
                          type: string
                        check_id:
                          description: >-
                            The ID of the Check Deposit object that originated
                            this transaction, if any. Otherwise `null`.
                            Filterable.
                          type: string
                        check_number:
                          description: >-
                            If this transaction is for an outbound check, the
                            number of the check. Otherwise `null`
                          type: string
                        date:
                          description: >-
                            Date of the transaction, ISO 8601 format
                            ('YYYY-MM-DD'). Received directly from the bank,
                            often without time zone adjustment. Might differ in
                            date compared to `extended_timestamp` and
                            `extended_timestamp_precise` due to timezones.
                          type: string
                        desc:
                          description: Transaction description
                          type: string
                        extended_timestamp:
                          description: >-
                            Timestamp of the transaction, ISO 8601 format
                            ('YYYY-MM-DDThh:mm:ssZ'). Limited availability.
                            Always in UTC
                          type: string
                        extended_timestamp_precise:
                          description: >-
                            Timestamp of the transaction, ISO 8601 format with
                            subsecond precision
                            ('YYYY-MM-DDThh:mm:ss.SSS[SSS]Z'). The precision
                            could be millisecond or microsecond depending on
                            source data. Limited availability. Always in UTC.
                          type: string
                        fednow_id:
                          description: >-
                            The ID of the Fednow object that originated this
                            transaction, if any. Otherwise `null`. Filterable.
                          type: string
                        fingerprint:
                          description: A unique fingerprint for this transaction
                          type: string
                        greendot_deposit_id:
                          description: >-
                            The ID of the Prime Cash object that the transaction
                            is related to. Otherwise `null`. Filterable.
                          type: string
                        human_readable_description:
                          description: >-
                            A user-friendly description. Note, there may be a
                            short period (less than 60 seconds) after a
                            transaction is accessible through our API where this
                            field is not yet populated.
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        incoming_ach_id:
                          description: >-
                            The ID of the Incoming ACH object that originated
                            this transaction, if any. Otherwise `null`
                          type: string
                        incoming_wire:
                          deprecated: true
                          description: >-
                            Data related to the wire that originated this
                            transaction, if any. Otherwise `null`
                          type: object
                        incoming_wire_id:
                          description: >-
                            The ID of the Incoming Wire object that originated
                            this transaction, if any. Otherwise `null`
                          type: string
                        issued_check_id:
                          description: >-
                            The ID of the Issued Check Object that originated
                            this transaction, if any. Otherwise `null`.
                            Filterable.
                          type: string
                        network_transfer_id:
                          description: >-
                            The ID of the Network Transfer that originated this
                            transaction, if any. Otherwise `null`. Filterable.
                          type: string
                        related_transfer_ids:
                          description: >-
                            The IDs of the related transactions, if any.
                            Otherwise `null`
                          items:
                            type: string
                          type: array
                        summary:
                          description: Summary description of the transaction
                          type: string
                        trace_id:
                          description: >-
                            A common id used to tie multiple, related
                            transactions together. Currently used to connect
                            `hold` and `hold_release` transactions to a `debit`
                            and to link transactions to their related card
                            events. Filterable.
                          type: string
                        type:
                          description: >-
                            Type of transaction. One of `charge`, `deposit`,
                            `hold`, `hold_release`, `interest`, `payment`,
                            `reversal`, `withdrawal`, or `null`. Filterable.
                          type: string
                        type_source:
                          description: >-
                            The type of payment that initiated this transaction,
                            if any. One of `ach`, `bank`, `book`, `card`,
                            `check`, `fednow`, `greendot`, or `wire`. Otherwise
                            `null`. Limited availability. Filterable.
                          type: string
                        userdata:
                          description: >-
                            Arbitrary user data that can be attached to the
                            object
                          type: object
                        wire:
                          description: >-
                            For wire transactions, the Fedwire description, if
                            any. Otherwise `null`.
                          type: string
                        wire_id:
                          description: >-
                            The ID of the Wire object that originated this
                            transaction, if any. Otherwise `null`. Filterable.
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` transaction elements, starting after the transaction
            described by `page_cursor`. If no more transactions are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````